Bug 13121 - Move search results "action" links ("Place hold," "Add tag," etc) into include file
Summary: Move search results "action" links ("Place hold," "Add tag," etc) into includ...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 13083 13119
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-21 17:14 UTC by Owen Leonard
Modified: 2020-02-10 22:40 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
This patch moves markup for controls repeated across several OPAC templates into a single include (making it easier to maintain in the future): Place hold, Request article, Add tag, Save to lists, and Add to cart.
Version(s) released in:
20.05.00


Attachments
Bug 13121: Move search results "action" links ("Place hold," "Add tag," etc) into include file (24.84 KB, patch)
2020-01-07 13:06 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 13121: Move search results "action" links ("Place hold," "Add tag," etc) into include file (24.87 KB, patch)
2020-01-23 11:46 UTC, David Nind
Details | Diff | Splinter Review
Bug 13121: Move search results "action" links ("Place hold," "Add tag," etc) into include file (24.93 KB, patch)
2020-01-27 21:08 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2014-10-21 17:14:21 UTC

    
Comment 1 Owen Leonard 2014-10-21 17:15:37 UTC
There are three areas in the OPAC which display multiple rows of title information using XSLT. All three could use the same include file when displaying "action" links: "Place hold," "Add tags," etc.
Comment 2 Owen Leonard 2020-01-07 13:06:43 UTC
Created attachment 96891 [details] [review]
Bug 13121: Move search results "action" links ("Place hold," "Add tag," etc) into include file

This patch moves markup for controls repeated across several OPAC
templates into a single include: Place hold, Request article, Add tag,
Save to lists, and Add to cart.

To test, apply the patch and view the following OPAC pages:

 - Search results
 - Shelf contents view
 - User tags list

On each of these pages all the controls should work correctly:

 - Place hold
 - Request art
 - Add tag
 - Save to lists
 - Add to cart
Comment 3 David Nind 2020-01-23 11:46:06 UTC
Created attachment 97803 [details] [review]
Bug 13121: Move search results "action" links ("Place hold," "Add tag," etc) into include file

This patch moves markup for controls repeated across several OPAC
templates into a single include: Place hold, Request article, Add tag,
Save to lists, and Add to cart.

Enable ArticleRequests and TagsInputOnList system preferences.

To test, apply the patch and view the following OPAC pages:

 - Search results
 - Shelf contents view
 - User tags list

On each of these pages all the controls should work correctly:

 - Place hold
 - Request articles
 - Add tag
 - Save to lists
 - Add to cart

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 David Nind 2020-01-23 11:48:36 UTC
I'm assuming 'Shelf contents view' is either the Cart or Lists - all the actions seem to work as expected in those areas.
Comment 5 Katrin Fischer 2020-01-25 18:37:38 UTC
Hi Owen, can you please check this fail from the QA script?

 FAIL	koha-tmpl/opac-tmpl/bootstrap/en/includes/title-actions-menu.inc
   OK	  filters
   FAIL	  forbidden patterns
		forbidden pattern: Contains old bootstrap style for buttons (see bug 16239) (line 32)
Comment 6 Owen Leonard 2020-01-25 19:17:33 UTC
(In reply to Katrin Fischer from comment #5)
> 		forbidden pattern: Contains old bootstrap style for buttons (see bug

It's a false positive. The OPAC still uses the "old bootstrap." The warning should only be triggered for staff client templates.
Comment 7 Katrin Fischer 2020-01-27 20:56:43 UTC
(In reply to Owen Leonard from comment #6)
> (In reply to Katrin Fischer from comment #5)
> > 		forbidden pattern: Contains old bootstrap style for buttons (see bug
> 
> It's a false positive. The OPAC still uses the "old bootstrap." The warning
> should only be triggered for staff client templates.

Thx!
Comment 8 Katrin Fischer 2020-01-27 21:07:49 UTC
Hi Owen, I am passing this, but it looks like with and without this patch removing a title from the cart no longer works quite right. The (remove) link remains. Also: the cart message is hiding behind the floating toolbar for me. I filed bug 24521.
Comment 9 Katrin Fischer 2020-01-27 21:08:25 UTC
Created attachment 98003 [details] [review]
Bug 13121: Move search results "action" links ("Place hold," "Add tag," etc) into include file

This patch moves markup for controls repeated across several OPAC
templates into a single include: Place hold, Request article, Add tag,
Save to lists, and Add to cart.

To test, apply the patch and view the following OPAC pages:

 - Search results
 - Shelf contents view
 - User tags list

On each of these pages all the controls should work correctly:

 - Place hold
 - Request art
 - Add tag
 - Save to lists
 - Add to cart

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Martin Renvoize 2020-01-29 09:10:08 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 11 Joy Nelson 2020-02-10 22:40:58 UTC
Enhancement not backported to 19.11.x